import request from '@/benyun/utils/request'

// 获取树形导航分类
function treeList(data : any) {
	return request({
		url: '/maindata/maindataMaterialCategory/treeList',
		method: 'GET',
		params: data
	})
}

// 获取物料分页列表
function page(data : any) {
	return request({
		url: '/maindata/maindataMaterial/page',
		method: 'GET',
		params:data
	})
}
// 根据分类id查询数据物料数据
function single(data : any) {
	return request({
		url: '/maindata/maindataMaterial/categoryList',
		method: 'GET',
		params:data
	})
}
// 新增物料
function save(data : any) {
	return request({
		url: '/maindata/maindataMaterial/save',
		method: 'POST',
		data: data
	})
}
// 修改物料
function update(data : any) {
	return request({
		url: '/maindata/maindataMaterial/update',
		method: 'POST',
		data: data
	})
}
// 删除数据
function materialDelete(data : any) {
	return request({
		url: '/maindata/maindataMaterial/delete',
		method: 'POST',
		params: data
	})
}

// 分页查询物料sku
function maindataMaterialSku(data : any) {
	return request({
		url: '/maindata/maindataMaterialSku/page',
		method: 'GET',
		params: data
	})
}
// 新增物料sku
function addSku(data : any) {
	return request({
		url: '/maindata/maindataMaterialSku/save',
		method: 'POST',
		params: data
	})
}
// 修改物料sku
function updateSku(data : any) {
	return request({
		url: '/maindata/maindataMaterialSku/update',
		method: 'POST',
		params: data
	})
}
// 删除物料sku
function deleteSku(data : any) {
	return request({
		url: '/maindata/maindataMaterialSku/delete',
		method: 'POST',
		params: data
	})
}

export default {
	page,
	single,
	save,
	update,
	materialDelete,
	maindataMaterialSku,
	addSku,
	updateSku,
	deleteSku,
	treeList
}